=== debian/changelog ===
ros-noetic-depthai-examples (2.6.1-2buster) buster; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- sachin <sachin@luxonis.com>  Sun, 29 Jan 2023 16:24:59 -0000

ros-noetic-depthai-examples (2.5.3-2buster) buster; urgency=high

  * Updated release version
  * Added upgrades to stereo node and fixed the nodelet issue (#130 <https://github.com/luxonis/depthai-ros/issues/130>)
  * Contributors: Sachin, Sachin Guruswamy

 -- sachin <sachin@luxonis.com>  Sat, 20 Aug 2022 18:30:00 -0000

ros-noetic-depthai-examples (2.5.2-2buster) buster; urgency=high

  * Upgraded examples
  * Fixed bugs for Noetic

 -- sachin <sachin@luxonis.com>  Tue, 31 May 2022 18:30:00 -0000

ros-noetic-depthai-examples (2.5.1-2buster) buster; urgency=high

  * Fix Build farm issues

 -- sachin <sachin@luxonis.com>  Thu, 19 May 2022 18:30:00 -0000

ros-noetic-depthai-examples (2.5.0-2buster) buster; urgency=high

  * Release 2.5.0
  * add ament package:
  * created Bridge and Coverters to handle images, IMU and camera Info

 -- sachin <sachin@luxonis.com>  Thu, 19 May 2022 18:30:00 -0000
